import { ReactNode } from 'react';
import Header from './Header/Header';

type UnauthenticatedLayoutProps = {
  children: ReactNode;
};

export default function UnauthenticatedLayout({ children }: UnauthenticatedLayoutProps) {
  return (
    <div className="min-h-screen flex flex-col bg-white dark:bg-gray-800">
      <Header />
      <main className="flex-grow p-4">
        {children}
      </main>
    </div>
  );
}
